Switch to singlethread workqueues throughout.

Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-crypt.c |    2 +-
 drivers/md/dm-delay.c |    2 +-
 drivers/md/dm-mpath.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Index: linux-2.6.21/drivers/md/dm-crypt.c
===================================================================
--- linux-2.6.21.orig/drivers/md/dm-crypt.c	2007-05-11 14:35:31.000000000 +0100
+++ linux-2.6.21/drivers/md/dm-crypt.c	2007-05-11 16:33:15.000000000 +0100
@@ -1066,7 +1066,7 @@ static int __init dm_crypt_init(void)
 	if (!_crypt_io_pool)
 		return -ENOMEM;
 
-	_kcryptd_workqueue = create_workqueue("kcryptd");
+	_kcryptd_workqueue = create_singlethread_workqueue("kcryptd");
 	if (!_kcryptd_workqueue) {
 		r = -ENOMEM;
 		DMERR("couldn't create kcryptd");
Index: linux-2.6.21/drivers/md/dm-delay.c
===================================================================
--- linux-2.6.21.orig/drivers/md/dm-delay.c	2007-05-11 16:32:09.000000000 +0100
+++ linux-2.6.21/drivers/md/dm-delay.c	2007-05-11 16:34:00.000000000 +0100
@@ -332,7 +332,7 @@ static int __init dm_delay_init(void)
 {
 	int r = -ENOMEM;
 
-	kdelayd_wq = create_workqueue("kdelayd");
+	kdelayd_wq = create_singlethread_workqueue("kdelayd");
 	if (!kdelayd_wq) {
 		DMERR("Couldn't start kdelayd");
 		goto bad_queue;
Index: linux-2.6.21/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.21.orig/drivers/md/dm-mpath.c	2007-05-11 15:59:18.000000000 +0100
+++ linux-2.6.21/drivers/md/dm-mpath.c	2007-05-11 16:33:32.000000000 +0100
@@ -1357,7 +1357,7 @@ static int __init dm_multipath_init(void
 		return -EINVAL;
 	}
 
-	kmultipathd = create_workqueue("kmpathd");
+	kmultipathd = create_singlethread_workqueue("kmpathd");
 	if (!kmultipathd) {
 		DMERR("%s: failed to create workqueue kmpathd",
 				multipath_target.name);
